<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="Regions">
  <xsl:choose>
  <xsl:when test="contains(., '1') and contains(., '2') and contains(., '3') and contains(., '4') and contains(., '5') and contains(., '6')">
      <xsl:text>Region: All</xsl:text>
  </xsl:when>
  <xsl:otherwise>
    <xsl:if test="count(Region)&gt;0">
      <xsl:text>Region</xsl:text>
      <xsl:if test="count(Region)&gt;1">
        <xsl:text>s</xsl:text>
      </xsl:if>
      <xsl:text>: </xsl:text>
      <xsl:for-each select="Region">
        <xsl:value-of select="."/>
        <xsl:if test="not (position()=last())">
          <xsl:text>, </xsl:text>
        </xsl:if>
      </xsl:for-each>
    </xsl:if>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>
